import Vue from 'vue'
import Vuex from 'vuex'
import signal from './signalPlugin'
import rtc from './rtcModule'
import room from './roomModule'
import app from './appModule'

Vue.use(Vuex)

export default new Vuex.Store({
  modules: {
    rtc,
    app,
    room
  },
  plugins: [
    signal()
  ]
})
